import { Column, Entity } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';
@Entity('achievement')
export class Achievement extends BaseModel {
  @Column({ type: 'integer', nullable: true, comment: '平台用户id' })
  user: number;
  @Column({ type: 'character varying', nullable: true, comment: '专利号' })
  patent: string;
  @Column({ type: 'character varying', nullable: true, comment: '名称' })
  name: string;
  @Column({ type: 'character varying', nullable: true, comment: '属性' })
  attribute: string;
  @Column({ type: 'character varying', nullable: true, comment: '出让方式' })
  sell: string;
  @Column({ type: 'character varying', nullable: true, comment: '成熟度' })
  mature: string;
  @Column({ type: 'character varying', nullable: true, comment: '行业领域' })
  field: string;
  @Column({ type: 'character varying', nullable: true, comment: '技术分类' })
  technology: string;
  @Column({ type: 'jsonb', nullable: true, comment: '成果地区' })
  area: Array<any>;
  @Column({ type: 'timestamp without time zone', comment: '发布时间' })
  time: Date;
  @Column({ type: 'character varying', nullable: true, comment: '参考价格' })
  money: string;
  @Column({ type: 'text', nullable: true, comment: '简介' })
  brief: string;
  @Column({ type: 'jsonb', nullable: true, comment: '附件' })
  file: Array<any>;
  @Column({ type: 'character varying', nullable: true, comment: '成果状态', default: '0' })
  achievement_status: string;
  @Column({ type: 'character varying', nullable: true, comment: '是否公开', default: '1' })
  is_use: string;
  @Column({ type: 'character varying', nullable: true, comment: '状态', default: '0' })
  status: string;
}
