import { Entity, Column } from 'typeorm';
import { BaseModel } from '../../frame/BaseModel';

@Entity('match')
export class Match extends BaseModel {
  @Column({ type: 'integer', nullable: true, comment: '平台用户id' })
  user: number;
  @Column({ type: 'character varying', nullable: true, comment: '名称' })
  name: string;
  @Column({ type: 'character varying', nullable: true, comment: '类型' })
  type: string;
  @Column({ type: 'character varying', nullable: true, comment: '组织单位' })
  work: string;
  @Column({ type: 'character varying', nullable: true, comment: '行业' })
  industry: string;
  @Column({ type: 'character varying', nullable: true, comment: '类别' })
  form: string;
  @Column({ type: 'jsonb', nullable: true, comment: '有效期' })
  time: Array<any>;
  @Column({ type: 'character varying', nullable: true, comment: '奖金' })
  money: string;
  @Column({ type: 'jsonb', nullable: true, comment: '赛事规则', default: {} })
  rules: object;
  @Column({ type: 'text', nullable: true, comment: '简介' })
  brief: string;
  @Column({ type: 'jsonb', nullable: true, comment: '封面' })
  file: Array<any>;
  @Column({ type: 'character varying', nullable: true, comment: '赛事状态', default: '0' })
  match_status: string;
  @Column({ type: 'character varying', nullable: true, comment: '是否公开', default: '1' })
  is_use: string;
  @Column({ type: 'character varying', nullable: true, comment: '状态', default: '0' })
  status: string;
}
